ALLEGRO_SYSTEM_ID(3)

NAME

ALLEGRO_SYSTEM_ID - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    enum ALLEGRO_SYSTEM_ID {

DESCRIPTION

The system Allegro is running on.

•   ALLEGRO_SYSTEM_ID_UNKNOWN - Unknown system.

•   ALLEGRO_SYSTEM_ID_XGLX - Xglx

•   ALLEGRO_SYSTEM_ID_WINDOWS - Windows

•   ALLEGRO_SYSTEM_ID_MACOSX - macOS

•   ALLEGRO_SYSTEM_ID_ANDROID - Android

•   ALLEGRO_SYSTEM_ID_IPHONE - iOS

•   ALLEGRO_SYSTEM_ID_GP2XWIZ - GP2XWIZ

•   ALLEGRO_SYSTEM_ID_RASPBERRYPI - Raspberry Pi

•   ALLEGRO_SYSTEM_ID_SDL - SDL

SINCE

5.2.5

SEE ALSO

al_get_system_id(3)